function y = sdnmpc_sampling_BBC(x,par)
% Sampling function used for the buck-boost converter (see sdnmpc.m)
% 
% Rik Koch (TU Delft, 2021)

switch par.method
    case 'trapezoidal'
        y = unif2trap(x,par.mu,par.sigma);
    case 'truncated normal'
        y = unif2trunnorm(x,par.mu,par.sigma);
    otherwise
        y = x;
end
end